import { LICENSE, useTranslation } from 'core/i18n';

export type TypeLicensePageLocale = {
  licenseInfo: string;
  type: string;
  product: string;
  customer: string;
  evaluationStart: string;
  evaluationEnd: string;
  licenseFeatures: string;
  noFeaturesDefined: string;
  licenseOptions: string;
  value: string;
  description: string;
  noOptionsDefined: string;
  eventProcessingName: string;
  eventProcessingDescription: string;
  eventSourcesName: string;
  eventSourcesDescription: string;
  incidentProcessingName: string;
  incidentProcessingDescription: string;
};

export const useLicensePageLocale = (): TypeLicensePageLocale => {
  const { t } = useTranslation([LICENSE]);

  return {
    licenseInfo: t('license:app.license.license_info'),
    type: t('license:app.license.type'),
    product: t('license:app.license.product'),
    customer: t('license:app.license.customer'),
    evaluationStart: t('license:app.license.evaluation_start'),
    evaluationEnd: t('license:app.license.evaluation_end'),
    licenseFeatures: t('license:app.license.license_features'),
    noFeaturesDefined: t('license:app.license.no_features_defined'),
    licenseOptions: t('license:app.license.license_options'),
    value: t('license:app.license.value'),
    description: t('license:app.license.description'),
    noOptionsDefined: t('license:app.license.no_options_defined'),
    eventProcessingName: t('license:app.license.event_processing_name'),
    eventProcessingDescription: t(
      'license:app.license.event_processing_description',
    ),
    eventSourcesName: t('license:app.license.event_sources_name'),
    eventSourcesDescription: t('license:app.license.event_sources_description'),
    incidentProcessingName: t('license:app.license.incident_processing_name'),
    incidentProcessingDescription: t(
      'license:app.license.incident_processing_description',
    ),
  };
};
